Curves workbench

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
User avatar
Chris_G
Veteran
Posts: 2579
Joined: Tue Dec 31, 2013 4:10 pm
Location: France
Contact:

Re: Curves workbench

Post by Chris_G »

Thanks Saso.
I wasn't sure it was a good solution either.
And I understand the drawbacks.
I will think about a better method.
User avatar
hammax
Veteran
Posts: 1985
Joined: Thu Jan 19, 2017 5:03 pm
Location: Ammersee DE

Re: Curves workbench

Post by hammax »

… trying to build a "closed" (periodic?) Gordon surface there seems to be a minimalistic gap condition,
controlled by the tolerance value. If tolerance is 0,005 the gap must be greater (e.g. 0,01mm).
It is possible to make a closed shape by 2 Gordon surfaces.
https://forum.freecadweb.org/viewtopic. ... 63#p369150
Is there a way at all, to close sketches after building Gordon?

GordonClosed.PNG
GordonClosed.PNG (61.98 KiB) Viewed 1433 times
Attachments
GordonClosed.FCStd
(28.58 KiB) Downloaded 53 times
freecad-heini-1
Veteran
Posts: 7788
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Curves workbench

Post by freecad-heini-1 »

hammax wrote: Sun Feb 16, 2020 7:58 am … trying to build a "closed" (periodic?) Gordon surface there seems to be a minimalistic gap condition,
controlled by the tolerance value. If tolerance is 0,005 the gap must be greater (e.g. 0,01mm).
It is possible to make a closed shape by 2 Gordon surfaces.
https://forum.freecadweb.org/viewtopic. ... 63#p369150
Is there a way at all, to close sketches after building Gordon?


GordonClosed.PNG
Exactly the same topic interested me, using a Sweep on two Rails. Which possibility is there to get a "closed" surface?
User avatar
microelly2
Veteran
Posts: 4688
Joined: Tue Nov 12, 2013 4:06 pm
Contact:

Re: Curves workbench

Post by microelly2 »

freecad-heini-1 wrote: Sun Feb 16, 2020 8:30 am Exactly the same topic interested me, using a Sweep on two Rails. Which possibility is there to get a "closed" surface?
There are different ways to get a closed layout.
Here an example in 2D
close_curve.FCStd
(13.03 KiB) Downloaded 60 times

Code: Select all

pts=[v.Point for v in App.ActiveDocument.Sketch.Shape.Wires[0].Vertexes]

bc=Part.BSplineCurve()
poles=pts
mults=[4,1,1,1,4]
knots=range(len(mults))
bc.buildFromPolesMultsKnots(poles,mults,knots,False,3)
Part.show(bc.toShape())


bc=Part.BSplineCurve()
poles=pts+[pts[0]]
mults=[4,1,1,1,1,4]
knots=range(len(mults))
bc.buildFromPolesMultsKnots(poles,mults,knots,False,3)
Part.show(bc.toShape())


bc=Part.BSplineCurve()
poles=pts+[pts[0]]
mults=[1,1,1,1,1,1,1,1,1]
knots=range(len(mults))
bc.buildFromPolesMultsKnots(poles,mults,knots,True,3)
Part.show(bc.toShape())


bc=Part.BSplineCurve()
poles=pts+[pts[0],pts[0]]
mults=[1,1,1,1,1,1,1,1,1,1]
knots=range(len(mults))
bc.buildFromPolesMultsKnots(poles,mults,knots,True,3)
Part.show(bc.toShape())


bc=Part.BSplineCurve()
poles=pts
mults=[1,1,1,1,1,1,1,1]
knots=range(len(mults))
bc.buildFromPolesMultsKnots(poles,mults,knots,True,3)
Part.show(bc.toShape())




freecad-heini-1
Veteran
Posts: 7788
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Curves workbench

Post by freecad-heini-1 »

Ich habe sowas gemeint:
curves_wb_sweep_on_two_rails_full_circle_2.FCStd
(39.81 KiB) Downloaded 50 times
Die Kreisbögen in den beiden Sketchen habe ich mit 1mm Spalt erzeugt, aber sie sollen geschlossen sein.
User avatar
Chris_G
Veteran
Posts: 2579
Joined: Tue Dec 31, 2013 4:10 pm
Location: France
Contact:

Re: Curves workbench

Post by Chris_G »

Currently, Gordon surface doesn't work for closed surfaces.
I hope I can add this feature someday.
freecad-heini-1
Veteran
Posts: 7788
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Curves workbench

Post by freecad-heini-1 »

GlouGlou wrote: Fri Feb 07, 2020 8:33 pm A suggested tool: select the two yellow edges, then make a tangent arc. Just need the radius.
Could be called "TangentArc" :D
saw here :https://www.youtube.com/watch?v=6IkXAcz ... ex=16&t=0s
Hello GlouGlou and others,
I tried to follow the example in Freecad. The faces, Connect and Split / Slice are good, but as soon as you start rounding the faces, Freecad behaves strange. It trims away surfaces in places that should be preserved. Who can show how to round these surfaces with R10 to R30mm?

Many greetings
Wilfried
Surface_with_Fillet_example.FCStd
(21.15 KiB) Downloaded 46 times
Fillet003 is strange:
Surface_with_Fillet_example_fillet003.FCStd
(37.76 KiB) Downloaded 58 times
No problem with a solid:
Surface_with_Fillet_example_solid.FCStd
(67.92 KiB) Downloaded 60 times
The problem are the orange faces. It's needed to sew them:
orange_faces_sewed.png
orange_faces_sewed.png (34.21 KiB) Viewed 1339 times
https://forum.freecadweb.org/viewtopic. ... 74#p239574
User avatar
Vincent B
Veteran
Posts: 4713
Joined: Sun Apr 05, 2015 9:02 am
Location: La Rochelle, France

Re: Curves workbench

Post by Vincent B »

Sometimes Part tools carry out surfaces upside downed :roll: . But We are not able to see them until make an offset3D.
By using "reverse shapes" (PartWb) we can give the right direction for all faces.
Then Connect can be refined. and Fillet works better. :D
Hope It can help you.
Attachments
UpSideDown.JPG
UpSideDown.JPG (33.3 KiB) Viewed 1324 times
Surfaces.FCStd
(45.06 KiB) Downloaded 47 times
User avatar
Vincent B
Veteran
Posts: 4713
Joined: Sun Apr 05, 2015 9:02 am
Location: La Rochelle, France

Re: Curves workbench

Post by Vincent B »

here the exercise. ;)
Attachments
zzz.FCStd
(274.26 KiB) Downloaded 61 times
Capture.JPG
Capture.JPG (33.85 KiB) Viewed 1321 times
freecad-heini-1
Veteran
Posts: 7788
Joined: Tue Jan 07, 2014 11:10 am
Contact:

Re: Curves workbench

Post by freecad-heini-1 »

Thank you so much GlouGlou, the surface direction, good to know.
Post Reply